## org.apache.tools.ant.types
Class AntFilterReader

    java.lang.Object
      |
      +--org.apache.tools.ant.ProjectComponent
            |
            +--org.apache.tools.ant.types.DataType
                  |
                  +--org.apache.tools.ant.types.AntFilterReader

All Implemented Interfaces:
  java.lang.Cloneable

public final class AntFilterReader
extends DataType
implements java.lang.Cloneable

An AntFileReader is a wrapper class that encloses the classname and configuration of a Configurable FilterReader.

Field Summary

Fields inherited from class org.apache.tools.ant.types.DataType
`checked, description, ref`

Fields inherited from class org.apache.tools.ant.ProjectComponent
`project`

Constructor Summary
`AntFilterReader()`

Method Summary
`void` `addParam(Parameter param)`
`Path` `createClasspath()` Set the classpath to load the FilterReader through (nested element).
`java.lang.String` `getClassName()`
`Path` `getClasspath()` Get the classpath
`Parameter[]` `getParams()`
`void` `setClassName(java.lang.String className)`
`void` `setClasspath(Path classpath)` Set the classpath to load the FilterReader through (attribute).
`void` `setClasspathRef(Reference r)` Set the classpath to load the FilterReader through via reference (attribute).
`void` `setRefid(Reference r)` Makes this instance in effect a reference to another AntFilterReader instance.

Methods inherited from class org.apache.tools.ant.types.DataType
`checkAttributesAllowed, checkChildrenAllowed, circularReference, dieOnCircularReference, getCheckedRef, getDescription, getRefid, isChecked, isReference, noChildrenAllowed, setChecked, setDescription, tooManyAttributes`

Methods inherited from class org.apache.tools.ant.ProjectComponent
`getProject, log, log, setProject`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AntFilterReader

    public AntFilterReader()

Method Detail

### setClassName

    public final void setClassName(java.lang.String className)

### getClassName

    public final java.lang.String getClassName()

### addParam

    public final void addParam(Parameter param)

### setClasspath

    public final void setClasspath(Path classpath)

  Set the classpath to load the FilterReader through (attribute).

### createClasspath

    public final Path createClasspath()

  Set the classpath to load the FilterReader through (nested element).

### getClasspath

    public final Path getClasspath()

  Get the classpath

### setClasspathRef

    public void setClasspathRef(Reference r)

  Set the classpath to load the FilterReader through via reference (attribute).

### getParams

    public final Parameter[] getParams()

### setRefid

    public void setRefid(Reference r)
                  throws BuildException

  Makes this instance in effect a reference to another AntFilterReader instance.

  You must not set another attribute or nest elements inside this element if you make it a reference.

  Overrides:
    `setRefid` in class `DataType`
  Parameters:
    `r` - the reference to which this instance is associated
  Throws:
    `BuildException` - if this instance already has been configured.

Copyright © 2000-2004 Apache Software Foundation. All Rights Reserved.